List Technologies
This endpoint lets you list all the technologies we track, search for any given technology and list the technologies within one or several categories.
Calls to this endpoint don't cost you credits.
Query Parameters
Keyword type to filter by
- technology
- software_product
- technology_concept
- operational_activity
- strategic_initiative
Exclude keywords of these types
- technology
- software_product
- technology_concept
- operational_activity
- strategic_initiative
Case-insensitive text to search for in the keyword name
Keyword slug of a single keyword
Keyword slugs of one or many keywords
Case-insensitive text to search for in the keyword category. For example, data to find 'data tools'.
Keyword category slug
Keyword parent category slug
Case-insensitive text to search for in the keyword parent category name
General search query. Searches across keyword name, keyword type, category, and parent category (case-insensitive). Results where the keyword name starts with the query are ranked first.
Filter keywords whose name starts with this string (e.g. 'A' for glossary). Special value 'other' selects keywords whose name does not start with letters A-Z.
If true, response is { data, metadata } with total_results, page, limit
Page number.
Number of results per page
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.theirstack.com/v0/catalog/keywords"[
{
"name": "PostgreSQL",
"category": "Relational Database",
"slug": "kafka",
"category_slug": "message-queue",
"parent_category": "Data Stores",
"parent_category_slug": "data-stores",
"logo": "string",
"logo_thumbnail": "string",
"one_liner": "Apache Kafka",
"url": "string",
"description": "string",
"type": "string",
"jobs": 0,
"companies": 0,
"companies_found_last_week": 0
}
]{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
Get Geographic Locations GET
Search for geographic locations by name or ID to retrieve standardized location data including city, region, and country. Use location IDs with job_location_or and job_location_not filters for precise geographic targeting in job searches.
Get Industries GET
This endpoint lets you: - List all the industries and their codes - See how many jobs and companies we have per industry - Search for an industry
